Options -Indexes
RewriteEngine On

RewriteCond %{QUERY_STRING} !MAP=PMAP [NC]
RewriteCond %{REQUEST_URI} !cache.php? [NC]
RewriteRule (.*) /mapserv [R=301,L]

SetEnvIf Request_URI "(.*)" ACCESS=private

Require all granted
Require ip 127.0.0.1

<FilesMatch "\.(map)$">
    deny from all
    #AuthName "OpenBioMaps Authenticator"
    #AuthType Basic
    #AuthBasicProvider pgsql
    #Auth_PG_authoritative On
    #AuthUserFile /dev/null
    #Auth_PG_host localhost
    #Auth_PG_port 5432
    #Auth_PG_user gisadmin
    #Auth_PG_pwd 123
    #Auth_PG_database biomaps
    #Auth_PG_pwd_table "users"
    #Auth_PG_uid_field "email"
    #Auth_PG_pwd_field "password"
    #Auth_PG_encrypted on
    #Auth_PG_hash_type MD5
    #Auth_PG_log_table access_log
    #Auth_PG_log_uname_field "login"
    #Auth_PG_log_date_field "date"
    #Auth_PG_log_uri_field "request"
    #Auth_PG_log_addrs_field "ip_address"
    #Auth_PG_log_pwd_field "password"

    # Auth_PG_pwd_whereclause " and active = TRUE"
    #<LIMIT GET POST>
    #    Require valid-user
    #</LIMIT>

    #Require ip 127.0.0.1
</FilesMatch>
